## antennavis 0.3.1

=== debian/changelog ===
antennavis (0.3.1-4build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:13:01 +0000

antennavis (0.3.1-4) unstable; urgency=medium

  * Fix rotational symmetry bug. Thanks Bohumir Jelinek
    for the patch.
  * Bump S-V version to 3.9.6.
  * Lintian cleaning.

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Sat, 27 Jun 2015 18:42:06 +0300

antennavis (0.3.1-3) unstable; urgency=low

  * Build against the default Tcl/Tk instead of deprecated 8.4.
    Thanks to Sergei Golovan <sgolovan@debian.org> for the patch.
    (Closes: Bug#725207)
  * Bump S-V version to 3.9.4
  * Clean lintian Errors and Warnings
  * Add hardeing flags to debian/rules

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Sun, 6 Oct 2013 14:55:30 +0200

antennavis (0.3.1-2) unstable; urgency=low

  * Fix FTBFS due to indirect linking in natty toolchain.
    Thanks to Bhavani Shankar <bhavi@ubuntu.com>
    (Closes: Bug#553950).
  * Added a library check in configure file relevant to a requires
    library, libGL. Now it compiles cleanly. Thanks Sven Hoexter.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Fri, 4 Mar 2011 17:32:53 +0200

antennavis (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * New maintainer (Closes: Bug#553390).
  * Took over upstream, updated watch file, and set Homepage field.
  * Revised short package description.
  * Added in copyright file the real path to GPL-2.
  * Modified debian/rules to dynamically generate the Makefile.
  * Added a few more checks in configure file relevant to required
    libraries.
  * Fixed segfault crash when loading a file with no GW lines.
    Thanks to Kamal Mostafa <kamal@whence.com> for the patch.
    (Closes: Bug#569644).
  * Update S-V to 3.8.4
       - debian/copyright file is now UTF-8 encoded.
  * Added ${misc:Depends} to control file.
  * Added debian/source/format file.
  * Bumped debhelper versioned Build-Depends to 7, and updated
    debian/compat.

 -- Nanakos Chrysostomos <nanakos@wired-net.gr>  Wed, 23 Jun 2010 23:24:00 +0200

antennavis (0.3-6) unstable; urgency=low

  * Retiring - set the package maintainer to Debian QA Group.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 30 Oct 2009 20:39:37 +0000

antennavis (0.3-5) unstable; urgency=low

  * Update Build-Depends for GL/GLU transition. Thanks James Westby.
    Closes: #451829.
  * Bump debhelper and compat file to version 5.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 19 Nov 2007 20:16:45 +0100

antennavis (0.3-4) unstable; urgency=low

  * Fix watch file. Closes: #450235.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 12 Nov 2007 20:24:08 +0100

antennavis (0.3-3) unstable; urgency=low

  * Use AC_PROG_INSTALL in configure.ac and "INSTALL := @INSTALL@" and
    friends in makefile.in. Also include install-sh.
  * Fix a lintian warning: debian-rules-ignores-make-clean-error.
  * Move the menu entry to Applications/Amateur Radio.
  * Cleaning now removes config.log and config.status.
  * Handle "nostrip" build option. Closes: #436459.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 01 Sep 2007 20:22:04 +0200

antennavis (0.3-2) unstable; urgency=low

  * Change build dependencies to use libglu1-mesa-dev instead of obsolete
    xlibmesa-glu-dev. Thanks to Andreas Jochens for reporting.
    Closes: #374598.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 23 Jun 2006 21:31:11 +0200

antennavis (0.3-1) unstable; urgency=low

  * New upstream.
  * Please note: the script to be executed has been renamed from
    antenna.tcl to antennavis.
  * Provide a debian menu entry.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed,  1 Mar 2006 21:30:33 +0100

antennavis (0.2-6) unstable; urgency=low

   * Update standards version.
   * Fix another compilation error.
   * Call the nec binary correctly from TkAnt, now that nec takes
     input.nec and output.nec as arguments. Closes: #342812.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon,  27 Feb 2006 21:30:33 +0100

antennavis (0.2-5) unstable; urgency=low

  * Somehow the old makefile got distributed. Fixed that.
  * libxmu build dependency added in the previous version. Closes: #303759.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat,  9 Apr 2005 14:34:33 +0200

antennavis (0.2-4) unstable; urgency=low

  * Add libxmu-dev to the build dependencies.
  * Copyright notices added to all of the C files, header files and Makefile.
  * License file added to the Models directory.
  * Provide a README with kenneth's current e-mail address and explanation
    of this effort.
  * Removed tkInt.h, it is not needed.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat,  9 Apr 2005 14:10:04 +0200

antennavis (0.2-3) unstable; urgency=low

  * Do not remove not-working models, simply install the working ones.
  * Remove unused functions associated with isosurfaces: ComputeVolumeData,
    GenerateNECVolumeFile in ant.c, WriteVolumeCardFile and ParseVolumeData
    in pccard.c.
  * Upload to unstable. Closes: #301320.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri,  8 Apr 2005 19:11:23 +0200

antennavis (0.2-2) unstable; urgency=low

  * Another attempt to create a useable package, build against togl-1.6 and
    tcl/tk 8.4.
  * Compile with -Wall and fix all but one compilation warnings.
  * Call nec2 with the complete path.
  * Remove debian menu entry, since we should call antenna.tcl from the command
    line.
  * Set height of the top frame to 350, so it fits on a 1024x768 display.
  * Rename input_nec to input.nec and output_nec to output.nec.
  * Add some directions in README.debian.
  * Remove help button and window, it is of no use.
  * Remove "Load Yagi" optionmenu, it is of no use.
  * Fixed a crash when output.nec not present.
  * Only provide working examples.
  * The isosurfaces button has been removed, because it does nothing.
  * The buttons have been moved to the display frame, which leaves a bit more
    rome on the screen.


