=== debian/control ===
Source: antennavis
Section: hamradio
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chrysostomos Nanakos <cnanakos@debian.org>
Homepage: http://www.include.gr/antennavis.html
Build-Depends: debhelper (>= 7.0.0), tcl-dev, tk-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libxmu-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.6

Package: antennavis
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},${misc:Depends}
Recommends: nec
Description: antenna radiation pattern visualization software
 Antennavis is a visualization toolkit designed to aid the user in better
 understanding the data output by the NEC2 antenna modelling software.
